# ApplicationFramework
PTKernel
PColStd

# PColStd_HDoubleListOfReal Class Reference

`#include <PColStd_HDoubleListOfReal.hxx>`

Inheritance diagram for PColStd_HDoubleListOfReal:

[legend]

## Public Member Functions

Standard_EXPORT | PColStd_HDoubleListOfReal ()
Standard_EXPORT Standard_Boolean | IsEmpty () const
Standard_EXPORT Handle_PColStd_HDoubleListOfReal | Construct (const Standard_Real &T)
Standard_EXPORT Standard_Real | Value () const
Standard_EXPORT Handle_PColStd_HDoubleListOfReal | Tail () const
Standard_EXPORT Handle_PColStd_HDoubleListOfReal | Previous () const
Standard_EXPORT void | SwapTail (Handle(PColStd_HDoubleListOfReal)&WithList)
Standard_EXPORT void | SetValue (const Standard_Real &T)
Standard_EXPORT void | ChangeBackPointer (const Handle(PColStd_HDoubleListOfReal)&BackPointer)
Standard_EXPORT void | ChangeForwardPointer (const Handle(PColStd_HDoubleListOfReal)&ForwardPointer)
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
Standard_EXPORT void | Destroy ()
| ~PColStd_HDoubleListOfReal ()
| PColStd_HDoubleListOfReal (const Storage_stCONSTclCOM &a)
Standard_Real | _CSFDB_GetPColStd_HDoubleListOfRealData () const
void | _CSFDB_SetPColStd_HDoubleListOfRealData (const Standard_Real p)
| Handle (PColStd_HDoubleListOfReal) _CSFDB_GetPColStd_HDoubleListOfRealNext() const
void | _CSFDB_SetPColStd_HDoubleListOfRealNext (const Handle(PColStd_HDoubleListOfReal)&p)
| Handle (PColStd_HDoubleListOfReal) _CSFDB_GetPColStd_HDoubleListOfRealBefore() const
void | _CSFDB_SetPColStd_HDoubleListOfRealBefore (const Handle(PColStd_HDoubleListOfReal)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | Data
Handle_PColStd_HDoubleListOfReal | Next
Handle_PColStd_HDoubleListOfReal | Before

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_HDoubleListOfReal::PColStd_HDoubleListOfReal | ( |  | ) |

PColStd_HDoubleListOfReal::~PColStd_HDoubleListOfReal | ( |  | ) | `[inline]`

PColStd_HDoubleListOfReal::PColStd_HDoubleListOfReal | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Real PColStd_HDoubleListOfReal::_CSFDB_GetPColStd_HDoubleListOfRealData | ( |  | ) | const`[inline]`

void PColStd_HDoubleListOfReal::_CSFDB_SetPColStd_HDoubleListOfRealBefore | ( | const Handle(PColStd_HDoubleListOfReal)& | p | ) | `[inline]`

void PColStd_HDoubleListOfReal::_CSFDB_SetPColStd_HDoubleListOfRealData | ( | const Standard_Real | p | ) | `[inline]`

void PColStd_HDoubleListOfReal::_CSFDB_SetPColStd_HDoubleListOfRealNext | ( | const Handle(PColStd_HDoubleListOfReal)& | p | ) | `[inline]`

Standard_EXPORT void PColStd_HDoubleListOfReal::ChangeBackPointer | ( | const Handle(PColStd_HDoubleListOfReal)& | BackPointer | ) |

Standard_EXPORT void PColStd_HDoubleListOfReal::ChangeForwardPointer | ( | const Handle(PColStd_HDoubleListOfReal)& | ForwardPointer | ) |

Standard_EXPORT Handle_PColStd_HDoubleListOfReal PColStd_HDoubleListOfReal::Construct | ( | const Standard_Real & | T | ) |

Standard_EXPORT void PColStd_HDoubleListOfReal::Destroy | ( |  | ) |

Standard_EXPORT const PColStd_HDoubleListOfReal::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PMMgt_PManaged.

PColStd_HDoubleListOfReal::Handle | ( | PColStd_HDoubleListOfReal |  | ) | const`[inline]`

PColStd_HDoubleListOfReal::Handle | ( | PColStd_HDoubleListOfReal |  | ) | const`[inline]`

Standard_EXPORT Standard_Boolean PColStd_HDoubleListOfReal::IsEmpty | ( |  | ) | const

Standard_EXPORT Handle_PColStd_HDoubleListOfReal PColStd_HDoubleListOfReal::Previous | ( |  | ) | const

Standard_EXPORT void PColStd_HDoubleListOfReal::SetValue | ( | const Standard_Real & | T | ) |

virtual Standard_EXPORT Handle_Standard_Persistent PColStd_HDoubleListOfReal::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PColStd_HDoubleListOfReal::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_EXPORT void PColStd_HDoubleListOfReal::SwapTail | ( | Handle(PColStd_HDoubleListOfReal)& | WithList | ) |

Standard_EXPORT Handle_PColStd_HDoubleListOfReal PColStd_HDoubleListOfReal::Tail | ( |  | ) | const

Standard_EXPORT Standard_Real PColStd_HDoubleListOfReal::Value | ( |  | ) | const

## Field Documentation

Handle_PColStd_HDoubleListOfReal PColStd_HDoubleListOfReal::Before `[private]`

Standard_Real PColStd_HDoubleListOfReal::Data `[private]`

Handle_PColStd_HDoubleListOfReal PColStd_HDoubleListOfReal::Next `[private]`

The documentation for this class was generated from the following file:

- PColStd_HDoubleListOfReal.hxx